#include <iostream>
#include <cmath>
using namespace std;


int main(){
	
	float p,q,r,L,R;
	int x=0;
	cin>>p>>q>>r>>L>>R;
	
	for(int i=L;i<R+1;i++){
		if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
		x++;
	}
	cout<<x;
	
	return 0;
}